### Class

# Ide PersistentMapBuilder

#### Description

    final class Ide.PersistentMapBuilder : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_persistent_map_builder_new

No description available.

#### Instance methods

###### ide_persistent_map_builder_insert

No description available.

###### ide_persistent_map_builder_set_metadata_int64

No description available.

###### ide_persistent_map_builder_write

No description available.

###### ide_persistent_map_builder_write_async

No description available.

###### ide_persistent_map_builder_write_finish

No description available.

Available since: 3.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdePersistentMapBuilderClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.